/* eslint-disable */
/* prettier-ignore */
// @ts-nocheck
// Generated by unplugin-vue-components
// Read more: https://github.com/vuejs/core/pull/3399
export {}

declare module 'vue' {
  export interface GlobalComponents {
    ActionCopyModal: typeof import('./components/ApplicationProfiles/Modals/Actions/ActionCopyModal.vue')['default']
    ActionCreateModal: typeof import('./components/ApplicationProfiles/Modals/Actions/ActionCreateModal.vue')['default']
    ActionExtendModal: typeof import('./components/ApplicationProfiles/Modals/Actions/ActionExtendModal.vue')['default']
    ActionImportModal: typeof import('./components/ApplicationProfiles/Modals/Actions/ActionImportModal.vue')['default']
    ActionNewVersionModal: typeof import('./components/ApplicationProfiles/Modals/Actions/ActionNewVersionModal.vue')['default']
    ActivityActions: typeof import('./components/Layout/ActivityActions.vue')['default']
    AimsAfterStoreModal: typeof import('./components/ServiceProviders/AIMS/AimsAfterStoreModal.vue')['default']
    AimsCollapsibleColumn: typeof import('./components/Layout/AimsCollapsibleColumn.vue')['default']
    AimsFooter: typeof import('./components/ServiceProviders/AIMS/AimsFooter.vue')['default']
    AimsHeader: typeof import('./components/Layout/AimsHeader.vue')['default']
    AimsHeaderBanner: typeof import('./components/ServiceProviders/AIMS/AimsHeaderBanner.vue')['default']
    AimsReviewModal: typeof import('./components/ServiceProviders/AIMS/AimsReviewModal.vue')['default']
    APRepresentation: typeof import('./components/ApplicationProfiles/APRepresentation.vue')['default']
    APSelection: typeof import('./components/ApplicationProfiles/APSelection.vue')['default']
    BAlert: typeof import('bootstrap-vue-next')['BAlert']
    BBadge: typeof import('bootstrap-vue-next')['BBadge']
    BButton: typeof import('bootstrap-vue-next')['BButton']
    BButtonGroup: typeof import('bootstrap-vue-next')['BButtonGroup']
    BCard: typeof import('bootstrap-vue-next')['BCard']
    BCardTitle: typeof import('bootstrap-vue-next')['BCardTitle']
    BCol: typeof import('bootstrap-vue-next')['BCol']
    BCollapse: typeof import('bootstrap-vue-next')['BCollapse']
    BDropdown: typeof import('bootstrap-vue-next')['BDropdown']
    BDropdownDivider: typeof import('bootstrap-vue-next')['BDropdownDivider']
    BDropdownForm: typeof import('bootstrap-vue-next')['BDropdownForm']
    BDropdownGroup: typeof import('bootstrap-vue-next')['BDropdownGroup']
    BDropdownItem: typeof import('bootstrap-vue-next')['BDropdownItem']
    BDropdownItemButton: typeof import('bootstrap-vue-next')['BDropdownItemButton']
    BFormCheckbox: typeof import('bootstrap-vue-next')['BFormCheckbox']
    BFormFile: typeof import('bootstrap-vue-next')['BFormFile']
    BFormGroup: typeof import('bootstrap-vue-next')['BFormGroup']
    BFormInput: typeof import('bootstrap-vue-next')['BFormInput']
    BFormInvalidFeedback: typeof import('bootstrap-vue-next')['BFormInvalidFeedback']
    BFormSelect: typeof import('bootstrap-vue-next')['BFormSelect']
    BFormSelectOption: typeof import('bootstrap-vue-next')['BFormSelectOption']
    BFormTextarea: typeof import('bootstrap-vue-next')['BFormTextarea']
    BInputGroup: typeof import('bootstrap-vue-next')['BInputGroup']
    BInputGroupText: typeof import('bootstrap-vue-next')['BInputGroupText']
    BListGroup: typeof import('bootstrap-vue-next')['BListGroup']
    BListGroupItem: typeof import('bootstrap-vue-next')['BListGroupItem']
    BModal: typeof import('bootstrap-vue-next')['BModal']
    BNavbar: typeof import('bootstrap-vue-next')['BNavbar']
    BNavbarBrand: typeof import('bootstrap-vue-next')['BNavbarBrand']
    BNavbarNav: typeof import('bootstrap-vue-next')['BNavbarNav']
    BNavbarToggle: typeof import('bootstrap-vue-next')['BNavbarToggle']
    BNavItemDropdown: typeof import('bootstrap-vue-next')['BNavItemDropdown']
    BPagination: typeof import('bootstrap-vue-next')['BPagination']
    BPlaceholder: typeof import('bootstrap-vue-next')['BPlaceholder']
    BRow: typeof import('bootstrap-vue-next')['BRow']
    BSpinner: typeof import('bootstrap-vue-next')['BSpinner']
    BToast: typeof import('bootstrap-vue-next')['BToast']
    BToastOrchestrator: typeof import('bootstrap-vue-next')['BToastOrchestrator']
    BTooltip: typeof import('bootstrap-vue-next')['BTooltip']
    CoscineAuthorizationModal: typeof import('./components/ServiceProviders/Coscine/CoscineAuthorizationModal.vue')['default']
    CoscineStoreDescription: typeof import('./components/ServiceProviders/Coscine/CoscineStoreDescription.vue')['default']
    CoscineStoreToast: typeof import('./components/ServiceProviders/Coscine/CoscineStoreToast.vue')['default']
    DefaultStoreToast: typeof import('./components/ServiceProviders/Default/DefaultStoreToast.vue')['default']
    EditModal: typeof import('./components/ApplicationProfiles/Modals/EditModal.vue')['default']
    EmptyComponent: typeof import('./components/Layout/EmptyComponent.vue')['default']
    FormGenerator: typeof import('@coscine/form-generator')['default']
    GraphLayout: typeof import('./components/Externals/GraphLayout.vue')['default']
    IBiCheck2: typeof import('~icons/bi/check2')['default']
    IBiChevronDown: typeof import('~icons/bi/chevron-down')['default']
    IBiChevronRight: typeof import('~icons/bi/chevron-right')['default']
    IBiCircleHalf: typeof import('~icons/bi/circle-half')['default']
    IBiClipboard: typeof import('~icons/bi/clipboard')['default']
    IBiCodeSlash: typeof import('~icons/bi/code-slash')['default']
    IBiFilter: typeof import('~icons/bi/filter')['default']
    IBiGearFill: typeof import('~icons/bi/gear-fill')['default']
    IBiLink45deg: typeof import('~icons/bi/link45deg')['default']
    IBiList: typeof import('~icons/bi/list')['default']
    IBiMoonStarsFill: typeof import('~icons/bi/moon-stars-fill')['default']
    IBiQuestionCircleFill: typeof import('~icons/bi/question-circle-fill')['default']
    IBiSearch: typeof import('~icons/bi/search')['default']
    IBiSunFill: typeof import('~icons/bi/sun-fill')['default']
    IBiVectorPen: typeof import('~icons/bi/vector-pen')['default']
    IBiX: typeof import('~icons/bi/x')['default']
    ListAPs: typeof import('./components/ApplicationProfiles/ListAPs.vue')['default']
    ListGroupSkeletons: typeof import('./components/ApplicationProfiles/Skeletons/ListGroupSkeletons.vue')['default']
    ListVocs: typeof import('./components/Vocabularies/ListVocs.vue')['default']
    MetadataForm: typeof import('./components/Metadata/MetadataForm.vue')['default']
    MetadataView: typeof import('./components/Metadata/MetadataView.vue')['default']
    MockupHeaderBanner: typeof import('./components/ServiceProviders/Mockup/MockupHeaderBanner.vue')['default']
    NavigationActions: typeof import('./components/Layout/NavigationActions.vue')['default']
    NotificationToast: typeof import('./components/Toasts/NotificationToast.vue')['default']
    PropertyDefinition: typeof import('./components/ApplicationProfiles/PropertyDefinition.vue')['default']
    PropertyList: typeof import('./components/ApplicationProfiles/PropertyList.vue')['default']
    PropertyRenderer: typeof import('./components/ApplicationProfiles/PropertyRenderer.vue')['default']
    RemoveDraftModal: typeof import('./components/ApplicationProfiles/Modals/RemoveDraftModal.vue')['default']
    RouterLink: typeof import('vue-router')['RouterLink']
    RouterView: typeof import('vue-router')['RouterView']
    SearchAP: typeof import('./components/ApplicationProfiles/SearchAP.vue')['default']
    SearchSelect: typeof import('./components/ApplicationProfiles/Components/SearchSelect.vue')['default']
    SearchVoc: typeof import('./components/Vocabularies/SearchVoc.vue')['default']
    SubmissionActions: typeof import('./components/Layout/SubmissionActions.vue')['default']
    TermSelection: typeof import('./components/Vocabularies/TermSelection.vue')['default']
  }
  export interface ComponentCustomProperties {
    vBColorMode: typeof import('bootstrap-vue-next')['vBColorMode']
    vBTooltip: typeof import('bootstrap-vue-next')['vBTooltip']
  }
}
